LibreOffice: Factory Service Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
Factory Service Reference

makes it possible to create COM objects as UNO objects. More...

`import <Factory.idl;`

Inheritance diagram for Factory:

## Exported Interfaces
interface | com::sun::star::lang::XMultiServiceFactory

## Additional Inherited Members
Public Member Functions inherited from XMultiServiceFactory
com::sun::star::uno::XInterface | createInstance ([in] string aServiceSpecifier) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name.
com::sun::star::uno::XInterface | createInstanceWithArguments ([in] string ServiceSpecifier, [in] sequence< any > Arguments) raises ( com::sun::star::uno::Exception )
| Creates an instance classified by the specified name and passes the arguments to that instance.
sequence< string > | getAvailableServiceNames ()
| Provides the available names of the factory to be used to create instances.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to create COM objects as UNO objects.

A COM object must have a ProgId since the ProgId is used as argument for com::sun::star::lang::XMultiServiceFactory::createInstance(). The only interfaces which are mapped are `IUnknown` and `IDispatch`. The created UNO objects support com::sun::star::script::XInvocation if the original COM objects support `IDispatch`.

The optional parameters of the method com::sun::star::lang::XMultiServiceFactory::createInstanceWithArguments() are reserved for future use; at this time they are ignored.

Developers Guide
  Professional UNO - Bridge - The Bridge Services

## Exported Interfaces

## ◆ com::sun::star::lang::XMultiServiceFactory

interface com::sun::star::lang::XMultiServiceFactory

The documentation for this service was generated from the following file:

- com/sun/star/bridge/oleautomation/Factory.idl